Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.groovy.scripts
Interface ScriptCompilationHandler

All Known Implementing Classes:
  DefaultScriptCompilationHandler

    public interface ScriptCompilationHandler

Method Summary
`
`<T extends groovy.lang.Script> T`
` | `createScriptOnTheFly(ScriptSource source, java.lang.ClassLoader classLoader, Transformer transformer, java.lang.Class<T> scriptBaseClass)`
`
`<T extends groovy.lang.Script> T`
` | `loadFromCache(ScriptSource source, java.lang.ClassLoader classLoader, java.io.File scriptCacheDir, java.lang.Class<T> scriptBaseClass)`
`void` | `writeToCache(ScriptSource source, java.lang.ClassLoader classLoader, java.io.File scriptCacheDir, Transformer transformer, java.lang.Class<? extends groovy.lang.Script> scriptBaseClass)`

Method Detail

### createScriptOnTheFly

    <T extends groovy.lang.Script> T createScriptOnTheFly(ScriptSource source,
                                                          java.lang.ClassLoader classLoader,
                                                          Transformer transformer,
                                                          java.lang.Class<T> scriptBaseClass)

### writeToCache

    void writeToCache(ScriptSource source,
                      java.lang.ClassLoader classLoader,
                      java.io.File scriptCacheDir,
                      Transformer transformer,
                      java.lang.Class<? extends groovy.lang.Script> scriptBaseClass)

### loadFromCache

    <T extends groovy.lang.Script> T loadFromCache(ScriptSource source,
                                                   java.lang.ClassLoader classLoader,
                                                   java.io.File scriptCacheDir,
                                                   java.lang.Class<T> scriptBaseClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD